body {
    background-color: #000000;
    color: #909090;
    font-family:Cambria, Cochin, Georgia, Times, 'Times New Roman', serif;
    font-weight: normal;
    margin: 0px;
    padding: 20px;
    line-height: 1.6;
}

.banner {
    text-align: center;
    font-size: 12px;
    color: #664b93;
    font-family: monospace;
    margin-bottom: 20px;
    white-space: pre;
}

.nav {
    text-align: center;
    margin: 0;
    font-size: 18px;
}

.nav a {
    color: #664b93;
    text-decoration: none;
    margin: 0 15px;
}

a:hover {
    color: #2600ff;
    text-decoration: underline;
}

.sticky-nav {
    position: sticky;
    top: 0;
    background-color: black; 
    z-index: 1000; /* Ensure it stays above other elements */
}

.main-content {
    max-width: 95%;
    margin: 0 auto;
    padding: 10px;
}

.main-content-post {
    width: 600px;
    margin: 0 auto;
    font-size: 16px;
    text-align: justify;
}

.main-content-date {
    font-style: italic;
    font-size: 12px;
}

.main-content-author-pic {
    opacity:50%;
    border-radius: 50%;
    width: auto; 
    height: 24px;
    position: relative;
    top: 7px;
    margin: 0 5px;
}

.main-content-next-page {
    padding: 10px;
    border: 2px solid #1e1e1e; 

}

footer {
    text-align: center;
    margin-top: 30px;
    color: #909090;
    font-size: 70%;
}

.emote {
    width: auto; 
    height: 30px; 
    vertical-align: middle;
    margin: 0 5px; 
}

.legend {   
    opacity:50%;
    width: auto; 
    height: 15px;
    position: relative;
    top: 2px;
    margin: 0 5px;
}

a {
    color: #654894;    
    text-decoration: none;
}

/*
a:visited {
    color: #243595;
}
*/
hr {
    border: none; 
    height: 1px; 
    background-color: #664b93; 
    margin: 20px 0; 
}

.highlight-code {
    font-family: monospace;
    font-weight: bold;
    background-color: #909090;
    color:#000000;
    padding:2px;
    margin-left: 2px;
    margin-right: 2px;
    font-size: 90%;
}

h1, h2, h3 {
    scroll-margin-top: 40px;    
    color: #664b93;
}

.callout-box {
    background-color: black; 
    border: 2px solid #1e1e1e; 
    border-radius: 8px; 
    padding: 15px; 
    max-width: 80%;
    margin: 20px auto; 
    display: flex;
    align-items: center;
}

.callout-icon {
    width: 40px; 
    height: 40px;
    margin-right: 15px;
}

summary {
    font-size:80%;
    list-style: none; 
}

summary::-webkit-details-marker {
    display: none; 
}

@media (max-width: 768px) {
    html { font-size: 22px; }

    body { padding: 10px; }

    .banner {
        font-size: 4px;
        overflow-x: auto;
    }

    .nav { font-size: 1rem; }

    .nav a { margin: 0 8px; }

    .main-content {
        max-width: 100%;
        padding: 5px;
    }

    .main-content-post {
        max-width: 95%;
        padding: 5px;
    }

    h1, h2, h3 {
        scroll-margin-top: 2rem;    
        color: #664b93;
    }

}

@media (max-width: 480px) {
    html { font-size: 15px; }

    body { padding: 8px; }

    .banner { display: none; }

    .nav {
        font-size: 1rem;
        line-height: 2;
    }

    .nav a {
        display: inline-block;
        margin: 0 5px;
    }

    .main-content {
        max-width: 100%;
        padding: 4px;
    }

    .main-content-post {
        max-width: 95%;
        padding: 5px;
    }

    h1, h2, h3 {
        scroll-margin-top: 2rem;    
        color: #664b93;
    }

    footer {
        margin-top: 15px;
    }
    h1, h2, h3 {
        scroll-margin-top: 2rem;    
        color: #664b93;
    }
}